## GUPnPDIDLLiteItem

GUPnPDIDLLiteItem — DIDL-Lite Item

## Synopsis

                        GUPnPDIDLLiteItem;
    const char *        gupnp_didl_lite_item_get_ref_id     (GUPnPDIDLLiteItem *item);
    void                gupnp_didl_lite_item_set_ref_id     (GUPnPDIDLLiteItem *item,
                                                             const char *ref_id);

## Object Hierarchy

      GObject
       +----GUPnPDIDLLiteObject
             +----GUPnPDIDLLiteItem

## Properties

      "ref-id"                   gchar*                : Read / Write

## Description

GUPnPDIDLLiteItem respresents a DIDL-Lite item element.

## Details

### GUPnPDIDLLiteItem

    typedef struct _GUPnPDIDLLiteItem GUPnPDIDLLiteItem;

### gupnp_didl_lite_item_get_ref_id ()

    const char *        gupnp_didl_lite_item_get_ref_id     (GUPnPDIDLLiteItem *item);

Get the ref ID of the `item`.

`item` : | GUPnPDIDLLiteItem
Returns : | The ref ID of the `item`, or `NULL`.

### gupnp_didl_lite_item_set_ref_id ()

    void                gupnp_didl_lite_item_set_ref_id     (GUPnPDIDLLiteItem *item,
                                                             const char *ref_id);

Set the ref ID of the `item`.

`item` : | GUPnPDIDLLiteItem
`refid` : | The ref ID

## Property Details

### The `"ref-id"` property

      "ref-id"                   gchar*                : Read / Write

The ref ID of this item.

Default value: NULL